#! /usr/bin/env python
# -*- coding: utf-8 -*-

# Unimail 0.13 - License: GPLv3
# Author: José Antonio Jiménez Carmona
# Project web site: https://forja.rediris.es/projects/cusl3-unimail
# Contact e-mail: joseajcarmona@gmail.com

import sys, os, pygtk, gtk, gtk.glade, sysutils, configuration, fileslogic, imap, pop, smtp, imaplogic, poplogic
import smtplogic, syspaths

class DialAbout:
    """
    Clase que representa la ventana de información sobre Unimail de la interfaz de usuario gráfica.
    """

    def __init__(self):
        self.gladefile = os.path.join(sysutils.get_current_working_dir(), "ui/dialabout.glade")
        self.builder = gtk.Builder()
        self.builder.add_from_file(self.gladefile)
        self.window = self.builder.get_object("dialAbout")
        self.builder.connect_signals(self)
        self.window.show_all()

    def run(self):
        self.result = self.window.run()
        self.window.destroy()
        return self.result
