# -*- coding: utf-8 -*-

# Unimail 0.13 - License: GPLv3
# Author: José Antonio Jiménez Carmona
# Project web site: https://forja.rediris.es/projects/cusl3-unimail
# Contact e-mail: joseajcarmona@gmail.com

import sys, os

def get_current_working_dir():
    """
    Devuelve la ruta real del directorio de trabajo, es decir, el directorio
    donde está Unimail.

    Este método es necesario porque el directorio de trabajo que se obtiene
    por defecto es distinto en Windows que en Linux.
    """

    if "Wing" in sys.argv[0] : return os.sys.path[0] + os.sep
    if "nosetests" in sys.argv[0] : return os.sys.path[0] + os.sep
    return os.path.abspath(os.path.join(os.path.dirname(sys.argv[0]))) + os.sep
