#! /usr/bin/env python
# -*- coding: utf-8 -*-

# Unimail 0.13 - License: GPLv3
# Author: José Antonio Jiménez Carmona
# Project web site: https://forja.rediris.es/projects/cusl3-unimail
# Contact e-mail: joseajcarmona@gmail.com

import sys, os, os.path, pwd, commands
sys.dont_write_bytecode = True
import gtk
import syspaths, winmain

def check_daemons():
    currentUser = pwd.getpwuid(os.getuid())[0]
    searchDaemonPidFile = "/tmp/unimail-search-daemon-{0}.pid".format(currentUser)
    receiveDaemonPidFile = "/tmp/unimail-receive-daemon-{0}.pid".format(currentUser)
    sendDaemonPidFile = "/tmp/unimail-send-daemon-{0}.pid".format(currentUser)

    if os.path.isfile(searchDaemonPidFile):
        commands.getoutput("python unimail-search-daemon.py stop")
        
    if os.path.isfile(receiveDaemonPidFile):
        commands.getoutput("python unimail-receive-daemon.py stop")
        
    if os.path.isfile(sendDaemonPidFile):
        commands.getoutput("python unimail-send-daemon.py stop")
        
if __name__ == "__main__":
    syspaths.check_dirs()
    window = winmain.WinMain()
    gtk.main()
    
    check_daemons()
